MCP Gateway
ApiDashboard

Get dashboard

Get dashboard data including stats, health, activity, and top servers. Requires admin or owner role.

GET
/api/v1/dashboard

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

Query Parameters

activity_filter?string

Filter for activity feed: all, tools, errors, or admin

Default"all"
Value in"all" | "tools" | "errors" | "admin"
access_token?|

Response Body

application/json

application/json

curl -X GET "https://loading/api/v1/dashboard"
{
  "stats": {
    "servers_count": 0,
    "servers_added_this_week": 0,
    "skills_count": 0,
    "skills_by_source": {
      "property1": 0,
      "property2": 0
    },
    "tool_calls_today": 0,
    "tool_calls_trend": [
      0
    ],
    "active_users_24h": 0,
    "total_users": 0
  },
  "health": {
    "database": {
      "status": "healthy",
      "latency_ms": 0,
      "uptime_seconds": 0,
      "provider": "string"
    },
    "gateway": {
      "status": "healthy",
      "latency_ms": 0,
      "uptime_seconds": 0,
      "provider": "string"
    },
    "ai_provider": {
      "status": "healthy",
      "latency_ms": 0,
      "uptime_seconds": 0,
      "provider": "string"
    }
  },
  "activity": [
    {
      "type": "server_created",
      "description": "string",
      "details": {
        "property1": "string",
        "property2": "string"
      },
      "server": "string",
      "tool": "string",
      "user": "string",
      "timestamp": "2019-08-24T14:15:22Z",
      "severity": "info",
      "latency_ms": 0,
      "status": "string"
    }
  ],
  "top_servers": [
    {
      "id": "string",
      "name": "string",
      "display_name": "string",
      "call_count": 0
    }
  ],
  "top_tools": [
    {
      "tool_name": "string",
      "server_name": "string",
      "server_id": "string",
      "call_count": 0,
      "success_rate": 0,
      "avg_latency_ms": 0
    }
  ],
  "top_skills": [
    {
      "id": "string",
      "name": "string",
      "description": "string",
      "source_type": "string",
      "download_count": 0,
      "usage_count": 0
    }
  ],
  "recent_audit": [
    {
      "id": "string",
      "tool_name": "string",
      "server_name": "string",
      "status": "string",
      "latency_ms": 0,
      "created_at": "2019-08-24T14:15:22Z"
    }
  ],
  "generated_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}